@import url("https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css");
@import url("https://fonts.googleapis.com/css?family=Open+Sans");
@import url("https://netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css");

@import "./styles/flexbox";

$color: #404040;
$color-d: darken($color, 5%);
$color-l: lighten($color, 7.5%);

*,
*:before,
*:after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

*:before,
*:after {
  content: "";
  display: block;
  position: absolute;
}

html,
body {
  height: 100%;
}

body {
  font: 15px/1 "Open Sans", sans-serif;
  color: #777;
}

a,
.link {
  cursor: pointer;
}

ul {
  list-style: none;
}

.wrapper {
  @include flexbox;
}

nav {
  width: 200px;
  background: $color;
}

nav header {
  position: relative;
  height: 80px;
  padding: 20px 0 0 15px;
  font-size: 16px;
  color: #fff;
  background: $color-d;
}

nav header span {
  position: relative;
  display: inline-block;
  width: 36px;
  height: 36px;
  margin: 0 10px 0 0;
  vertical-align: middle;
}

nav header span:before {
  content: "\f080";
  font: normal 20px fontawesome;
  top: 7px;
  left: 9px;
}

nav header a:before,
nav header .link:before {
  content: "\f08b";
  font: normal 20px fontawesome;
  top: 28px;
  right: 15px;
}

nav ul span {
  display: block;
  padding: 15px;
  color: rgba(255, 255, 255, 0.5);
  text-transform: uppercase;
  border-bottom: 1px solid $color-d;
}

nav ul a,
nav ul .link {
  position: relative;
  display: block;
  padding: 15px 15px 17px 50px;
  color: #fff;
  border-bottom: 1px solid $color-d;
}

nav ul a:hover,
nav ul .link:hover,
nav ul a.active,
nav ul .link.active {
  background: $color-l;
}

nav ul a:before,
nav ul .link:before {
  font: normal 16px fontawesome;
  top: 15px;
  left: 18px;
}
nav .reset:before {
  content: "\f074";
}
nav .simulate:before {
  content: "\f04b";
}

main {
  @include flex(1);
  padding: 0 20px;
  background: #e2e2e2;
}

main h1 {
  height: 80px;
  margin: -25px -25px 25px -25px;
  padding: 0 25px;
  line-height: 76px;
  font-size: 24px;
  font-weight: 400;
  background: #ddd;
}

.flex-grid {
  @include flexbox;
}

.flex-grid > div {
  @include flex(1);
  margin: 0 20px 20px 0;
  padding: 15px;
  border: 1px solid #ddd;
  background: #fff;
}

.flex-grid > div:last-child {
  margin-right: 0;
}

.flex-grid h2 {
  margin: -15px -15px 15px -15px;
  padding: 12px 15px;
  font-size: 14px;
  font-weight: 400;
  border-bottom: 1px solid #ddd;
}

.flex-grid li {
  position: relative;
  margin: 0 0 10px;
  padding: 0 0 0 25px;
}

.flex-grid li:before {
  content: "\f00c";
  font: normal 16px fontawesome;
  top: 0;
  left: 0;
  color: #999;
}

/*
** Media Queries
***********************************************************/

@media (max-width: 1000px) {
  .flex-grid {
    @include flex-direction(column);
  }

  .flex-grid > div {
    margin-right: 0;
  }
}

#visualizer {
  height: 100vh; /* Fallback for browsers that do not support Custom Properties */
  height: calc(var(--vh, 1vh) * 100);
  transition: 1s; /* To avoid a jumpy result */
  //min-height: -webkit-fill-available;
  //min-height: 100vh;
}

.bar-chart {
  @include flexbox;
  transition: 1s; /* To avoid a jumpy result */
  min-height: -webkit-fill-available;
  min-height: 100vh;
  height: 100%; /* Fallback for browsers that do not support Custom Properties */
}

.bar {
  @include flex-grow(1);
  margin-bottom: auto;
}

.bar + .bar {
  margin-left: 1px;
}
